#!/usr/bin/env python

import matplotlib.pyplot as plt
import cartopy.crs as ccrs
import cartopy.feature as cfeature
import matplotlib.ticker as mticker
import matplotlib.path as mpath
import numpy as np

# 50m解像度用の陸地データ作成
land_50m = cfeature.NaturalEarthFeature('physical', 'land', '50m',
                                        edgecolor='face',
                                        facecolor=cfeature.COLORS['land'])

fig = plt.figure()
ax = plt.axes(projection=ccrs.Orthographic())
ax = fig.add_subplot(1,1,1, projection=ccrs.Orthographic(central_longitude=135.0, central_latitude=25.0))
ax.add_feature(cfeature.LAND)
ax.coastlines(lw=0.5)
ax.gridlines(linestyle='-', color='gray')
#plt.show()

fig.savefig("out.pdf", bbox_inches="tight", dpi=600)
